%define gcj_support     1
%define section         free

Name:           svnkit
Version:        1.1.1
Release:        %mkrel 1
Epoch:          0
Summary:        Pure Java Subversion client library
Group:          Development/Java
License:        BSD-style
URL:            http://svnkit.com/
# XXX: This contains the sequence library, but I cannot find the
# XXX: original upstream source.
Source0:        http://svnkit.com/org.tmatesoft.svn_%{version}.src.zip
Source1:        svnkit-doc.tar.bz2
Patch0:         svnkit-1.1.0-no-javahl.patch
Requires:       ganymed-ssh2
Requires:       svn-javahl
BuildRequires:  ant
BuildRequires:  jpackage-utils >= 0:1.6
%if %{gcj_support}
BuildRequires:  java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%else
BuildRequires:  java-devel >= 0:1.4.2
BuildArch:      noarch
%endif
BuildRequires:  ganymed-ssh2
BuildRequires:  junit
BuildRequires:  svn-javahl
Obsoletes:      javasvn
Provides:       javasvn = %{epoch}:%{version}-%{release}
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
SVNKit is a pure Java Subversion client library. You would like to use
SVNKit when you need to access or modify Subversion repository from
your Java application, be it a standalone program, plugin or web
application. Being a pure Java program, SVNKit doesn't need any
additional configuration or native binaries to work on any OS that runs
Java. On this site you will also find instructions on how to make
existing programs use SVNKit instead of native javahl bindings.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}-src-%{version}
%setup -q -n %{name}-src-%{version} -T -D -a 1
%patch0 -p1

%{__rm} svnkit/src/org/tmatesoft/svn/core/io/repository/template.jar
%{__rm} contrib/ganymed/ganymed.jar
%{__ln_s} %{_javadir}/ganymed-ssh2.jar contrib/ganymed/ganymed.jar
%{__rm} contrib/junit/junit.jar
%{__ln_s} %{_javadir}/junit.jar contrib/junit/junit.jar

%build
export CLASSPATH=$(%{_bindir}/build-classpath svn-javahl)
export OPT_JAR_LIST=
%{ant} build-library
%{ant} build-doc

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -a build/lib/%{name}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do %{__ln_s} ${jar} ${jar/-%{version}/}; done)

%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{version}
%{__cp} -a build/doc/javadoc/* %{buildroot}%{_javadocdir}/%{name}-%{version}
%{__ln_s} %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

pushd build/lib
%{__perl} -pi -e 's/\r$//g' README.txt SEQUENCE-LICENSE changelog.txt
popd

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
%{__rm} -rf %{buildroot}

%if %{gcj_support}
%post
%{update_gcjdb}

%postun
%{clean_gcjdb}
%endif

%post javadoc
%{__rm} -f %{_javadocdir}/%{name}
%{__ln_s} %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  %{__rm} -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc build/lib/{README.txt,SEQUENCE-LICENSE,changelog.txt}
%{_javadir}/svnkit-%{version}.jar
%{_javadir}/svnkit.jar
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/*
%endif

%files javadoc
%defattr(0644,root,root,0755)
%ghost %{_javadocdir}/%{name}
%{_javadocdir}/%{name}-%{version}


%changelog
* Mon Feb 12 2007 David Walluck <walluck@mandriva.org> 1.1.1-1mdv2007.0
+ Revision: 120191
- 1.1.1

* Mon Dec 18 2006 David Walluck <walluck@mandriva.org> 0:1.1.0-3mdv2007.1
+ Revision: 98366
- better removal of external jars
- use external svn-javahl
- fix missing } that was breaking the build
- Import svnkit

